Skip to main content
PATCH
/
api
/
Project
Update many Projects
curl --request PATCH \
  --url https://api.virtuoussoftware.com/api/Project \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "id": "<integer>",
    "name": "<string>",
    "projectCode": "<string>",
    "onlineDisplayName": "<string>",
    "description": "<string>",
    "financialNeedAmount": "<double>",
    "beginningBalance": "<double>",
    "currentBalance": "<double>",
    "type": "<string>",
    "startDate": "<dateTime>",
    "endDate": "<dateTime>",
    "customFields": "<object>"
  },
  {
    "id": "<integer>",
    "name": "<string>",
    "projectCode": "<string>",
    "onlineDisplayName": "<string>",
    "description": "<string>",
    "financialNeedAmount": "<double>",
    "beginningBalance": "<double>",
    "currentBalance": "<double>",
    "type": "<string>",
    "startDate": "<dateTime>",
    "endDate": "<dateTime>",
    "customFields": "<object>"
  }
]
'
"<object>"

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
id
string
name
string
projectCode
string
onlineDisplayName
string
description
string
financialNeedAmount
string
beginningBalance
string
currentBalance
string
type
string
startDate
string
endDate
string
customFields
string

Response

OK

The response is of type string.

Last modified on April 24, 2026